/******************************************************************
*  源程序名：SynTask4_2_1.cpp                 　　　　　  　　    *
*  功能：用switch语句实现四则运算                         　      *
******************************************************************/
#include <iostream.h>
void main()
{
	float data1,data2,result;//操作数
	char op;//运算符
	cout<<"请按data1 op data2的格式输入：";
	cin>>data1>>op>>data2;
	switch(op)
	{
	case '+':
		result=data1+data2;
		break;
	case '-':
		result=data1-data2;
		break;
	case '*':
		result=data1*data2;
		break;
	case '/':
		result=data1/data2;
		break;
	default:
		cout<<"您输入的不是合法的四则运算符！"<<endl;
		return ;//结束程序的执行，不再执行其下语句
	}
	cout<<data1<<op<<data2<<'='<<result<<endl;
}
